import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _toConsumableArray from "@babel/runtime/helpers/esm/toConsumableArray";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";

function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

import { Grid } from "@mui/material";
import React, { useEffect, useMemo, useReducer, useState } from "react";
import makeImmutable, { without } from "seamless-immutable";
import useEventCallback from "use-event-callback";
import { parseTextract, textractObjects } from "../box_interction";
import AnnotatorForm from "../Components/AnnotatorForm";
import LocalStorage from "../Components/LocalStorage";
import RightSideMenu from "../Components/RightSideMenu";
import { isNonMandatoryEditable } from "../Components/ValidationCheck";
import MainLayout from "../MainLayout";
import SettingsProvider from "../SettingsProvider";
import getFromLocalStorage from "../utils/get-from-local-storage";
import combineReducers from "./reducers/combine-reducers.js";
import generalReducer from "./reducers/general-reducer.js";
import getActiveImage from "./reducers/get-active-image";
import historyHandler from "./reducers/history-handler.js";
import imageReducer from "./reducers/image-reducer.js";
import videoReducer from "./reducers/video-reducer.js";
var Getrules = LocalStorage.get_task_rules() || {};
window.undoArray = [];
window.annotation_redo = [];
window.AnnoationRedo = [];
export var Annotator = function Annotator(_ref) {
  var images = _ref.images,
      allowedArea = _ref.allowedArea,
      _ref$selectedImage = _ref.selectedImage,
      selectedImage = _ref$selectedImage === void 0 ? images && images.length > 0 ? 0 : undefined : _ref$selectedImage,
      showPointDistances = _ref.showPointDistances,
      pointDistancePrecision = _ref.pointDistancePrecision,
      _ref$showTags = _ref.showTags,
      showTags = _ref$showTags === void 0 ? getFromLocalStorage("showTags", true) : _ref$showTags,
      _ref$enabledTools = _ref.enabledTools,
      enabledTools = _ref$enabledTools === void 0 ? ["select", "create-point", "create-box", "create-a-brush", "create-polygon", "create-line", "create-expanding-line", "show-mask"] : _ref$enabledTools,
      _ref$selectedTool = _ref.selectedTool,
      selectedTool = _ref$selectedTool === void 0 ? "select" : _ref$selectedTool,
      _ref$regionTagList = _ref.regionTagList,
      regionTagList = _ref$regionTagList === void 0 ? [] : _ref$regionTagList,
      _ref$regionClsList = _ref.regionClsList,
      regionClsList = _ref$regionClsList === void 0 ? [] : _ref$regionClsList,
      _ref$imageTagList = _ref.imageTagList,
      imageTagList = _ref$imageTagList === void 0 ? [] : _ref$imageTagList,
      _ref$imageClsList = _ref.imageClsList,
      imageClsList = _ref$imageClsList === void 0 ? [] : _ref$imageClsList,
      _ref$keyframes = _ref.keyframes,
      keyframes = _ref$keyframes === void 0 ? {} : _ref$keyframes,
      _ref$taskDescription = _ref.taskDescription,
      taskDescription = _ref$taskDescription === void 0 ? "" : _ref$taskDescription,
      _ref$fullImageSegment = _ref.fullImageSegmentationMode,
      fullImageSegmentationMode = _ref$fullImageSegment === void 0 ? false : _ref$fullImageSegment,
      RegionEditLabel = _ref.RegionEditLabel,
      videoSrc = _ref.videoSrc,
      _ref$videoTime = _ref.videoTime,
      videoTime = _ref$videoTime === void 0 ? 0 : _ref$videoTime,
      videoName = _ref.videoName,
      onExit = _ref.onExit,
      onNextImage = _ref.onNextImage,
      onPrevImage = _ref.onPrevImage,
      keypointDefinitions = _ref.keypointDefinitions,
      _ref$autoSegmentation = _ref.autoSegmentationOptions,
      autoSegmentationOptions = _ref$autoSegmentation === void 0 ? {
    type: "autoseg"
  } : _ref$autoSegmentation,
      hideHeader = _ref.hideHeader,
      hideHeaderText = _ref.hideHeaderText,
      hideNext = _ref.hideNext,
      hidePrev = _ref.hidePrev,
      hideClone = _ref.hideClone,
      hideSettings = _ref.hideSettings,
      hideFullScreen = _ref.hideFullScreen,
      hideSave = _ref.hideSave,
      allowComments = _ref.allowComments,
      onAddQuery = _ref.onAddQuery,
      saveandnext = _ref.saveandnext,
      _ref$issavenextDisabl = _ref.issavenextDisabled,
      issavenextDisabled = _ref$issavenextDisabl === void 0 ? false : _ref$issavenextDisabl,
      _ref$isaddQueryDisabl = _ref.isaddQueryDisabled,
      isaddQueryDisabled = _ref$isaddQueryDisabl === void 0 ? false : _ref$isaddQueryDisabl,
      _ref$isSubmitDisabled = _ref.isSubmitDisabled,
      isSubmitDisabled = _ref$isSubmitDisabled === void 0 ? false : _ref$isSubmitDisabled,
      _ref$lazyBrush = _ref.lazyBrush,
      lazyBrush = _ref$lazyBrush === void 0 ? [] : _ref$lazyBrush,
      xPosition = _ref.xPosition,
      yPosition = _ref.yPosition,
      invaild_show = _ref.invaild_show,
      hideQuery = _ref.hideQuery,
      hideSaveNext = _ref.hideSaveNext,
      _ref$showUpdate = _ref.showUpdate,
      showUpdate = _ref$showUpdate === void 0 ? false : _ref$showUpdate,
      _ref$rightMenu = _ref.rightMenu,
      rightMenu = _ref$rightMenu === void 0 ? true : _ref$rightMenu,
      _ref$isReadingMode = _ref.isReadingMode,
      isReadingMode = _ref$isReadingMode === void 0 ? false : _ref$isReadingMode,
      _ref$brushHighlighted = _ref.brushHighlighted,
      brushHighlighted = _ref$brushHighlighted === void 0 ? -1 : _ref$brushHighlighted,
      isImageMode = _ref.isImageMode,
      blocks = _ref.blocks,
      handleSubmit = _ref.handleSubmit,
      _ref$tilte_key = _ref.tilte_key,
      tilte_key = _ref$tilte_key === void 0 ? "" : _ref$tilte_key,
      image_ocr_map = _ref.image_ocr_map,
      _ref$deleteAnnotation = _ref.deleteAnnotationAllow,
      deleteAnnotationAllow = _ref$deleteAnnotation === void 0 ? false : _ref$deleteAnnotation,
      _ref$editable_data = _ref.editable_data,
      editable_data = _ref$editable_data === void 0 ? [] : _ref$editable_data,
      _ref$annotation_index = _ref.annotation_index,
      annotation_index = _ref$annotation_index === void 0 ? 0 : _ref$annotation_index,
      _ref$customize_data = _ref.customize_data,
      customize_data = _ref$customize_data === void 0 ? [] : _ref$customize_data,
      _ref$column_key = _ref.column_key,
      column_key = _ref$column_key === void 0 ? "" : _ref$column_key;

  if (typeof selectedImage === "string") {
    selectedImage = (images || []).findIndex(function (img) {
      return img.src === selectedImage;
    });
    if (selectedImage === -1) selectedImage = undefined;
  }

  var annotationType = images ? "image" : "video";

  var _useState = useState(image_ocr_map || new Map()),
      _useState2 = _slicedToArray(_useState, 2),
      orcTxt = _useState2[0],
      setORCTxt = _useState2[1];

  var _useState3 = useState(editable_data),
      _useState4 = _slicedToArray(_useState3, 2),
      formData = _useState4[0],
      setFormData = _useState4[1];

  var _useState5 = useState(customize_data),
      _useState6 = _slicedToArray(_useState5, 2),
      customizeForm = _useState6[0],
      setCustomizeForm = _useState6[1];

  var rules = Getrules.rules;
  var custom_info = customizeForm === null || customizeForm === void 0 ? void 0 : customizeForm.map(function (item) {
    return item.title;
  });

  var _useReducer = useReducer(historyHandler(combineReducers(annotationType === "image" ? imageReducer : videoReducer, generalReducer)), makeImmutable(_objectSpread({
    annotationType: annotationType,
    showTags: showTags,
    allowedArea: allowedArea,
    showPointDistances: showPointDistances,
    pointDistancePrecision: pointDistancePrecision,
    selectedTool: selectedTool,
    fullImageSegmentationMode: fullImageSegmentationMode,
    autoSegmentationOptions: autoSegmentationOptions,
    mode: null,
    taskDescription: taskDescription,
    showMask: true,
    labelImages: imageClsList.length > 0 || imageTagList.length > 0,
    regionClsList: regionClsList,
    regionTagList: regionTagList,
    imageClsList: imageClsList,
    imageTagList: imageTagList,
    currentVideoTime: videoTime,
    enabledTools: enabledTools,
    history: [],
    videoName: videoName,
    keypointDefinitions: keypointDefinitions,
    allowComments: allowComments,
    brushHighlighted: brushHighlighted
  }, annotationType === "image" ? {
    selectedImage: selectedImage,
    images: images,
    selectedImageFrameTime: images && images.length > 0 ? images[0].frameTime : undefined
  } : {
    videoSrc: videoSrc,
    keyframes: keyframes
  } || {}, {
    qc_label: invaild_show
  }))),
      _useReducer2 = _slicedToArray(_useReducer, 2),
      state = _useReducer2[0],
      dispatchToReducer = _useReducer2[1];

  window.textractList = textractObjects(blocks); // call textract and parse response

  window.textPoligonList = parseTextract(blocks);

  window.onChangeOCR = function (index, label, value) {
    console.log(index, label, value);

    if (custom_info.includes(value)) {
      var f1 = _toConsumableArray(customizeForm);

      var a1 = new Map(orcTxt);

      if (label === "label_undo") {
        var data1 = a1.get(index);

        if (data1.name) {
          var index1 = f1.findIndex(function (d) {
            return d.title === (data1 === null || data1 === void 0 ? void 0 : data1.name);
          });

          if (index1 !== -1) {
            f1[index1].content = "";
            a1.set(index, _objectSpread({}, a1.get(index), {
              name: undefined
            }));
          }
        }
      }

      if (label === "delete") {
        var _data = a1.get(index);

        var _index = f1.findIndex(function (d) {
          return d.title === (_data === null || _data === void 0 ? void 0 : _data.name);
        });

        a1.delete(index);

        if (_index !== -1) {
          f1[_index].content = "";
        }
      } else if (label !== "label_undo") {
        a1.set(index, _objectSpread({}, a1.get(index), _defineProperty({}, label, value)));
      }

      var data = a1.get(index);

      if (data !== null && data !== void 0 && data.name) {
        var _index2 = f1.findIndex(function (d) {
          return d.title === data.name;
        });

        if (_index2 !== -1) {
          f1[_index2].content = data.value;
        }
      }

      var _ref2 = isNonMandatoryEditable({
        rules_arr: rules === null || rules === void 0 ? void 0 : rules[data === null || data === void 0 ? void 0 : data.name],
        editable_arr: [].concat(_toConsumableArray(f1), _toConsumableArray(formData))
      }) || {},
          readOnly = _ref2.readOnly,
          valueExist = _ref2.valueExist; // eslint-disable-next-line no-unused-expressions


      valueExist ? readOnly ? function () {} : setCustomizeForm(f1) : setCustomizeForm(f1); // eslint-disable-next-line no-unused-expressions

      valueExist ? readOnly ? function () {} : setORCTxt(a1) : setORCTxt(a1);
    } else {
      var _f = _toConsumableArray(formData);

      var _a = new Map(orcTxt);

      if (label === "label_undo") {
        var _data3 = _a.get(index);

        if (_data3.name) {
          var _index3 = _f.findIndex(function (d) {
            return d.title === (_data3 === null || _data3 === void 0 ? void 0 : _data3.name);
          });

          if (_index3 !== -1) {
            _f[_index3].content = "";

            _a.set(index, _objectSpread({}, _a.get(index), {
              name: undefined
            }));
          }
        }
      }

      if (label === "delete") {
        var _data4 = _a.get(index);

        var _index4 = _f.findIndex(function (d) {
          return d.title === (_data4 === null || _data4 === void 0 ? void 0 : _data4.name);
        });

        _a.delete(index);

        if (_index4 !== -1) {
          _f[_index4].content = "";
          setFormData(_f);
        } else {
          var _f2 = _toConsumableArray(customizeForm);

          var _index5 = _f2.findIndex(function (d) {
            return d.title === (_data4 === null || _data4 === void 0 ? void 0 : _data4.name);
          });

          if (_index5 !== -1) {
            _f2[_index5].content = "";
            setCustomizeForm(_f2);
          }
        }
      } else if (label !== "label_undo") {
        _a.set(index, _objectSpread({}, _a.get(index), _defineProperty({}, label, value)));
      }

      var _data2 = _a.get(index);

      if (_data2 !== null && _data2 !== void 0 && _data2.name) {
        var _index6 = _f.findIndex(function (d) {
          return d.title === _data2.name;
        });

        if (_index6 !== -1) {
          _f[_index6].content = _data2.value;
        }
      }

      var _ref3 = isNonMandatoryEditable({
        rules_arr: rules === null || rules === void 0 ? void 0 : rules[_data2 === null || _data2 === void 0 ? void 0 : _data2.name],
        editable_arr: [].concat(_toConsumableArray(_f), _toConsumableArray(formData))
      }) || {},
          _readOnly = _ref3.readOnly,
          _valueExist = _ref3.valueExist; // eslint-disable-next-line no-unused-expressions


      _valueExist ? _readOnly ? function () {} : setFormData(_f) : setFormData(_f); // eslint-disable-next-line no-unused-expressions

      _valueExist ? _readOnly ? function () {} : setORCTxt(_a) : setORCTxt(_a);
    }
  };

  var _React$useState = React.useState([]),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      lines = _React$useState2[0],
      setLines = _React$useState2[1];

  var _useState7 = useState([]),
      _useState8 = _slicedToArray(_useState7, 2),
      delete_annotation = _useState8[0],
      setdelete_annotation = _useState8[1];

  var dispatch = useEventCallback(function (action) {
    if (action.type === "HEADER_BUTTON_CLICKED") {
      if (["Exit", "Done", "Save", "Complete", "Submit", "Update"].includes(action.buttonName)) {
        return onExit(without({
          annotation: state,
          lazyBrush: lines,
          delete_annotation: delete_annotation
        }, "history"));
      } else if (action.buttonName === "Next" && onNextImage) {
        return onNextImage(without(state, "history"));
      } else if (action.buttonName === "Prev" && onPrevImage) {
        return onPrevImage(without(state, "history"));
      } else if (action.buttonName === "Add Query" && onAddQuery) {
        return onAddQuery(without(state, "history"));
      } else if (action.buttonName === "Save & next" && saveandnext) {
        return saveandnext(without({
          annotation: state,
          lazyBrush: lines,
          delete_annotation: delete_annotation
        }, "history"));
      }
    }

    dispatchToReducer(action);
  });

  var _getActiveImage = getActiveImage(state),
      currentImageIndex = _getActiveImage.currentImageIndex,
      activeImage = _getActiveImage.activeImage;

  var layoutORC = useMemo(function () {
    var array = [];

    var _iterator = _createForOfIteratorHelper(orcTxt),
        _step;

    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var _ref6 = _step.value;

        var _ref5 = _slicedToArray(_ref6, 2);

        var key = _ref5[0];
        var value = _ref5[1];
        array.push({
          key: key,
          value: value
        });
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }

    return array;
  }, [orcTxt]);
  var onRegionClassAdded = useEventCallback(function (cls) {
    dispatchToReducer({
      type: "ON_CLS_ADDED",
      cls: cls
    });
  });
  React.useEffect(function () {
    setLines(lazyBrush);
  }, []);

  window.undoBrush = function () {
    var intial_lines = lines.slice(0, -1);
    var obj = {
      brush: lines[lines.length - 1]
    };

    var newArr = _toConsumableArray(window.annotation_redo);

    newArr.push(obj);
    window.annotation_redo = newArr;
    return setLines(intial_lines);
  };

  window.hendleBrush_redo = function () {
    var newArr = _toConsumableArray(window.annotation_redo) || [];

    if (newArr.length) {
      var lastElement = newArr[newArr.length - 1].brush;
      var intial_lines = [].concat(_toConsumableArray(lines), [lastElement]);
      newArr.splice(window.annotation_redo.length - 1, 1);
      window.annotation_redo = newArr;
      window.undoArray = [].concat(_toConsumableArray(window.undoArray), ["brush"]);
      return setLines(intial_lines);
    }
  };

  window.handleBrush_delete = function () {
    var newArr = _toConsumableArray(window.annotation_redo) || [];

    if (newArr.length) {
      var lastElement = newArr[newArr.length - 1].brush;
      var intial_lines = [].concat(_toConsumableArray(lines), _toConsumableArray(lastElement));
      newArr.splice(window.annotation_redo.length - 1, 1);
      window.annotation_redo = newArr;
      window.undoArray = [].concat(_toConsumableArray(window.undoArray), ["brush"]);
      return setLines(intial_lines);
    }
  };

  window.hendleAnnotation_redo = function () {
    dispatch({
      type: "REDO_HISTORY"
    });
  };

  useEffect(function () {
    if (selectedImage === undefined) return;
    dispatchToReducer({
      type: "SELECT_IMAGE",
      imageIndex: selectedImage,
      image: state.images[selectedImage]
    });
  }, [selectedImage, state.images]);
  if (!images && !videoSrc) return 'Missing required prop "images" or "videoSrc"';

  window.handleSubmitOcr = function () {
    var intialaAnnotation = JSON.stringify(state);
    var BrushAnnotation = [];
    var deleteAnnotation = deleteAnnotationAllow ? [] : [];
    var annotation = "";

    try {
      annotation = JSON.parse(intialaAnnotation);
    } catch (err) {
      console.log(annotation);
    }

    var upComingRegion = [];

    var finalArr = _defineProperty({}, tilte_key, {
      annotationType: "",
      annotation: [],
      brushAnnotation: [],
      deleteAnnotation: []
    });

    if (annotation.annotationType === "video") {
      upComingRegion = annotation.keyframes || {};
      finalArr = _defineProperty({}, tilte_key, {
        annotationType: "video",
        annotation: upComingRegion || [],
        brushAnnotation: BrushAnnotation || [],
        deleteAnnotation: (deleteAnnotation === null || deleteAnnotation === void 0 ? void 0 : deleteAnnotation.flat()) || []
      });
    } else if (annotation.annotationType === "image") {
      var _annotation, _annotation$images, _annotation$images$;

      upComingRegion = (_annotation = annotation) === null || _annotation === void 0 ? void 0 : (_annotation$images = _annotation.images) === null || _annotation$images === void 0 ? void 0 : (_annotation$images$ = _annotation$images[0]) === null || _annotation$images$ === void 0 ? void 0 : _annotation$images$.regions;
      finalArr = _defineProperty({}, tilte_key, {
        annotationType: "image",
        annotation: upComingRegion || [],
        brushAnnotation: BrushAnnotation || [],
        deleteAnnotation: (deleteAnnotation === null || deleteAnnotation === void 0 ? void 0 : deleteAnnotation.flat()) || []
      });
      return {
        annotation: finalArr,
        formData: formData,
        tilte_key: tilte_key,
        annotation_index: annotation_index,
        column_key: column_key
      };
    }
  };

  var memoizedActionFns = React.useRef({});

  var action = function action(type) {
    for (var _len = arguments.length, params = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      params[_key - 1] = arguments[_key];
    }

    var fnKey = "".concat(type, "(").concat(params.join(","), ")");
    if (memoizedActionFns.current[fnKey]) return memoizedActionFns.current[fnKey];

    var fn = function fn() {
      for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        args[_key2] = arguments[_key2];
      }

      return params.length > 0 ? dispatch(_objectSpread({
        type: type
      }, params.reduce(function (acc, p, i) {
        return acc[p] = args[i], acc;
      }, {}))) : dispatch(_objectSpread({
        type: type
      }, args[0]));
    };

    memoizedActionFns.current[fnKey] = fn;
    return fn;
  };

  var _React$useState3 = React.useState(false),
      _React$useState4 = _slicedToArray(_React$useState3, 2),
      show = _React$useState4[0],
      setShow = _React$useState4[1];

  var ImageCanvas = /*#__PURE__*/React.createElement(SettingsProvider, null, /*#__PURE__*/React.createElement(MainLayout, {
    action: action,
    RegionEditLabel: RegionEditLabel,
    alwaysShowNextButton: Boolean(onNextImage),
    alwaysShowPrevButton: Boolean(onPrevImage),
    state: state,
    dispatch: dispatch,
    onRegionClassAdded: onRegionClassAdded,
    hideHeader: hideHeader,
    hideHeaderText: hideHeaderText,
    hideNext: hideNext,
    hidePrev: hidePrev,
    hideClone: hideClone,
    hideSettings: hideSettings,
    hideFullScreen: hideFullScreen,
    hideSave: hideSave,
    issavenextDisabled: issavenextDisabled,
    isaddQueryDisabled: isaddQueryDisabled,
    isSubmitDisabled: isSubmitDisabled,
    lazyBrush: lazyBrush,
    lazyBrushTags: regionTagList,
    lazyBrushClassification: regionClsList,
    xPosition: xPosition,
    yPosition: yPosition,
    lines: lines,
    setLines: setLines,
    invaild_show: invaild_show,
    setdelete_annotation: setdelete_annotation,
    delete_annotation: delete_annotation,
    hideSaveNext: hideSaveNext,
    hideQuery: hideQuery,
    showUpdate: showUpdate,
    rightMenu: rightMenu,
    isReadingMode: isReadingMode,
    isImageMode: isImageMode,
    layoutORC: layoutORC,
    onChangeLayoutORC: function onChangeLayoutORC(e, key) {},
    handleSubmit: handleSubmit,
    tilte_key: tilte_key,
    deleteAnnotationAllow: deleteAnnotationAllow,
    show: show,
    setShow: setShow
  }));
  var emptyArr = [];
  return isImageMode ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Grid, {
    container: true,
    spacing: 2,
    style: {
      height: "100vh",
      overflowX: "hidden",
      overflowY: "hidden",
      paddingRight: "5px"
    }
  }, /*#__PURE__*/React.createElement(Grid, {
    item: true,
    xs: 12,
    md: 6
  }, ImageCanvas), /*#__PURE__*/React.createElement(Grid, {
    item: true,
    xs: 12,
    md: 6
  }, /*#__PURE__*/React.createElement(Grid, {
    container: true,
    style: {
      maxHeight: "100vh",
      overflowY: "scroll",
      overflowX: "hidden",
      paddingRight: "5px"
    },
    spacing: 2
  }, /*#__PURE__*/React.createElement(AnnotatorForm, {
    editable_arr: formData || [],
    setAnnotatorFormArr: setFormData,
    customize_arr: customizeForm || [],
    setCustomize: setCustomizeForm
  }), /*#__PURE__*/React.createElement(AnnotatorForm, {
    editable_arr: customizeForm || [],
    setAnnotatorFormArr: setCustomizeForm,
    customize_arr: formData || [],
    setCustomize: setFormData
  }))), /*#__PURE__*/React.createElement("div", {
    style: {
      position: "fixed",
      right: 0,
      top: 0,
      background: "white",
      overflowY: "scroll",
      height: "100vh",
      width: !show ? "0%" : "300px",
      boxShadow: !show ? "" : "10px 10px 10px black, -10px -10px 10px rgba(180, 180, 180, 0.4)",
      zIndex: 1000
    }
  }, /*#__PURE__*/React.createElement(RightSideMenu, {
    rightMenu: rightMenu,
    debugModeOn: false,
    state: state,
    action: action,
    activeImage: activeImage,
    delete_annotation: delete_annotation,
    setdelete_annotation: setdelete_annotation,
    isImageMode: isImageMode,
    lines: lines,
    emptyArr: emptyArr,
    setLines: setLines,
    brushHighlight: false
  })))) : ImageCanvas;
};
export default Annotator;