import React from "react";
import ClassSelectionMenu from "../ClassSelectionMenu";
import DebugSidebarBox from "../DebugSidebarBox";
import { HistorySidebarBox } from "../HistorySidebarBox";
import KeyframesSelectorSidebarBox from "../KeyframesSelectorSidebarBox";
import BrushKeyFrame from "../LazyBrush/BrushKeyFrame";
import BrushRegion from "../LazyBrush/BrushRegion";
import RegionSelectorSidebarBox from "../RegionSelectorSidebarBox";
import TagsSidebarBox from "../TagsSidebarBox";
import TaskDescriptionSidebarBox from "../TaskDescriptionSidebarBox";

function RightSideMenu(_ref) {
  var rightMenu = _ref.rightMenu,
      debugModeOn = _ref.debugModeOn,
      state = _ref.state,
      action = _ref.action,
      activeImage = _ref.activeImage,
      delete_annotation = _ref.delete_annotation,
      setdelete_annotation = _ref.setdelete_annotation,
      isImageMode = _ref.isImageMode,
      lines = _ref.lines,
      emptyArr = _ref.emptyArr,
      setLines = _ref.setLines,
      brushHighlight = _ref.brushHighlight;
  var dubegMenu = debugModeOn && /*#__PURE__*/React.createElement(DebugSidebarBox, {
    state: debugModeOn,
    lastAction: state.lastAction
  });
  var taskDescp = state.taskDescription && /*#__PURE__*/React.createElement(TaskDescriptionSidebarBox, {
    description: state.taskDescription
  });
  var clsRegion = state.regionClsList && /*#__PURE__*/React.createElement(ClassSelectionMenu, {
    selectedCls: state.selectedCls,
    regionClsList: state.regionClsList,
    onSelectCls: action("SELECT_CLASSIFICATION", "cls")
  });
  var labelImages = state.labelImages && /*#__PURE__*/React.createElement(TagsSidebarBox, {
    currentImage: activeImage,
    imageClsList: state.imageClsList,
    imageTagList: state.imageTagList,
    onChangeImage: action("CHANGE_IMAGE", "delta"),
    expandedByDefault: true
  });
  var regionList = /*#__PURE__*/React.createElement(RegionSelectorSidebarBox, {
    regions: activeImage ? activeImage.regions : emptyArr,
    onSelectRegion: action("SELECT_REGION", "region"),
    onDeleteRegion: action("DELETE_REGION", "region"),
    onChangeRegion: action("CHANGE_REGION", "region"),
    delete_annotation: delete_annotation,
    setdelete_annotation: setdelete_annotation
  });
  var keyFrames = state.keyframes && /*#__PURE__*/React.createElement(KeyframesSelectorSidebarBox, {
    onChangeVideoTime: action("CHANGE_VIDEO_TIME", "newTime"),
    onDeleteKeyframe: action("DELETE_KEYFRAME", "time"),
    onChangeCurrentTime: action("CHANGE_VIDEO_TIME", "newTime"),
    currentTime: state.currentVideoTime,
    duration: state.videoDuration,
    keyframes: state.keyframes
  });
  var brushRegion = !isImageMode && /*#__PURE__*/React.createElement(BrushRegion, {
    onChangeVideoTime: action("CHANGE_VIDEO_TIME", "newTime"),
    currentTime: state.currentVideoTime,
    duration: state.videoDuration,
    brushLines: lines,
    delete_annotation: delete_annotation,
    setdelete_annotation: setdelete_annotation,
    setLines: setLines,
    brushHighlight: brushHighlight
  });
  var History = /*#__PURE__*/React.createElement(HistorySidebarBox, {
    history: state.history,
    onRestoreHistory: action("RESTORE_HISTORY"),
    line: lines,
    setLines: setLines,
    delete_annotation: delete_annotation,
    setdelete_annotation: setdelete_annotation
  });
  var brushKey = !isImageMode && state.keyframes && /*#__PURE__*/React.createElement(BrushKeyFrame, {
    onChangeVideoTime: action("CHANGE_VIDEO_TIME", "newTime"),
    currentTime: state.currentVideoTime,
    duration: state.videoDuration,
    brushLines: lines,
    delete_annotation: delete_annotation,
    setdelete_annotation: setdelete_annotation,
    setLines: setLines
  });
  var toolBoxMenu = [dubegMenu, taskDescp, clsRegion, labelImages, regionList, keyFrames, brushRegion, brushKey, History].filter(Boolean);
  return isImageMode ? /*#__PURE__*/React.createElement(React.Fragment, null, dubegMenu, taskDescp, labelImages, regionList, keyFrames, brushRegion, brushKey, History) : toolBoxMenu;
}

export default RightSideMenu;