import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

import React from "react";
/* eslint-disable no-unused-expressions */

export var errorSpan = function errorSpan(message) {
  // eslint-disable-next-line react/react-in-jsx-scope
  return /*#__PURE__*/React.createElement("span", {
    className: "common_error"
  }, message);
};

function removeLeadingZeros(str) {
  // Regex to remove leading
  // zeros from a string
  var regex = new RegExp("^0+(?!$)", "g"); // Replaces the matched
  // value with given string

  str = str.replaceAll(regex, "");
  return str;
}

function stringToRegex(s, m) {
  try {
    return (m = s.match(/^([\/~@;%#'])(.*?)\1([gimsuy]*)$/)) ? new RegExp(m[2], m[3].split("").filter(function (i, p, s) {
      return s.indexOf(i) === p;
    }).join("")) : new RegExp(s);
  } catch (err) {
    console.log(err);
  }
}

function isNumeric(n) {
  try {
    var _String;

    var num = (_String = String(n)) === null || _String === void 0 ? void 0 : _String.trim();
    return !isNaN(parseFloat(num) && isFinite(num));
  } catch (_unused) {
    return false;
  }
}

function round(num, no) {
  if (num && no) {
    var roundOff = Math.round((parseFloat(num) + Number.EPSILON) * Math.pow(10, no)) / Math.pow(10, no);
    return roundOff;
  } else {
    return null;
  }
}

export var trimRule = function trimRule(_ref) {
  var _ref$rules_arr = _ref.rules_arr,
      rules_arr = _ref$rules_arr === void 0 ? [] : _ref$rules_arr,
      content = _ref.content,
      onChangefield = _ref.onChangefield,
      params = _ref.params;
  var trimRule = rules_arr === null || rules_arr === void 0 ? void 0 : rules_arr.findIndex(function (item) {
    return item.rule === "Trim Whitespace";
  });

  if (trimRule !== -1) {
    var _String2, _String2$replace;

    var newString = typeof content === "object" ? content : (_String2 = String(content)) === null || _String2 === void 0 ? void 0 : (_String2$replace = _String2.replace(/\s\s+/g, " ")) === null || _String2$replace === void 0 ? void 0 : _String2$replace.trim();
    return newString;
  } else {
    return content;
  }
};
export var TooltipMessage = function TooltipMessage(_ref2) {
  var _ref2$rules_arr = _ref2.rules_arr,
      rules_arr = _ref2$rules_arr === void 0 ? [] : _ref2$rules_arr,
      content = _ref2.content,
      onChangefield = _ref2.onChangefield;

  try {
    var title = "";
    var i = 0;
    rules_arr === null || rules_arr === void 0 ? void 0 : rules_arr.map(function (item) {
      var _item$json, _item$json$required_f;

      var data = item === null || item === void 0 ? void 0 : (_item$json = item.json) === null || _item$json === void 0 ? void 0 : (_item$json$required_f = _item$json.required_fields) === null || _item$json$required_f === void 0 ? void 0 : _item$json$required_f.filter(function (req) {
        return req.value === "compare" || req.value === "concat";
      });

      if ((data === null || data === void 0 ? void 0 : data.length) > 0) {
        var _data$map;

        var firstOutput = data === null || data === void 0 ? void 0 : (_data$map = data.map(function (dd) {
          return dd === null || dd === void 0 ? void 0 : dd.child;
        })) === null || _data$map === void 0 ? void 0 : _data$map.flat(1);
        var val = "";

        var _iterator = _createForOfIteratorHelper(firstOutput),
            _step;

        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var _i$value;

            i = _step.value;
            (_i$value = i.value) === null || _i$value === void 0 ? void 0 : _i$value.map(function (result) {
              val += "".concat(result, " ");
            });
            title = "This field is concatenated of ".concat(val);
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }
      }
    });
    return title;
  } catch (err) {
    console.log(err);
  }
};
export var autoLoadButton = function autoLoadButton(_ref3) {
  var _ref3$rules_arr = _ref3.rules_arr,
      rules_arr = _ref3$rules_arr === void 0 ? [] : _ref3$rules_arr;

  try {
    var title = "";
    var front_string = "";
    var i = 0;
    rules_arr === null || rules_arr === void 0 ? void 0 : rules_arr.map(function (item) {
      var _item$json2, _item$json2$required_;

      var data = item === null || item === void 0 ? void 0 : (_item$json2 = item.json) === null || _item$json2 === void 0 ? void 0 : (_item$json2$required_ = _item$json2.required_fields) === null || _item$json2$required_ === void 0 ? void 0 : _item$json2$required_.filter(function (req) {
        return req.value === "autoload_data";
      });

      if ((data === null || data === void 0 ? void 0 : data.length) > 0) {
        var _data$map2;

        var firstOutput = data === null || data === void 0 ? void 0 : (_data$map2 = data.map(function (dd) {
          return dd === null || dd === void 0 ? void 0 : dd.child;
        })) === null || _data$map2 === void 0 ? void 0 : _data$map2.flat(1);

        var _iterator2 = _createForOfIteratorHelper(firstOutput),
            _step2;

        try {
          for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
            i = _step2.value;

            if (i.type === "dropdown") {
              title = i.value;
            } else if (i.type === "textarea") {
              front_string = i.value;
            }
          }
        } catch (err) {
          _iterator2.e(err);
        } finally {
          _iterator2.f();
        }
      }
    });
    return {
      title: title,
      front_string: front_string
    };
  } catch (err) {
    console.log(err);
  }
};
export var isNonMandatoryEditable = function isNonMandatoryEditable(_ref4) {
  var _ref4$rules_arr = _ref4.rules_arr,
      rules_arr = _ref4$rules_arr === void 0 ? [] : _ref4$rules_arr,
      editable_arr = _ref4.editable_arr;

  try {
    var _editable_arr$find;

    var readOnly = "";
    var title = "";
    var i = 0;
    rules_arr === null || rules_arr === void 0 ? void 0 : rules_arr.map(function (item) {
      var _item$json3, _item$json3$required_;

      var data = item === null || item === void 0 ? void 0 : (_item$json3 = item.json) === null || _item$json3 === void 0 ? void 0 : (_item$json3$required_ = _item$json3.required_fields) === null || _item$json3$required_ === void 0 ? void 0 : _item$json3$required_.filter(function (req) {
        return req.value === "non_mandatory_if_a_field_is_filled";
      });

      if ((data === null || data === void 0 ? void 0 : data.length) > 0) {
        var _data$map3;

        var firstOutput = data === null || data === void 0 ? void 0 : (_data$map3 = data.map(function (dd) {
          return dd === null || dd === void 0 ? void 0 : dd.child;
        })) === null || _data$map3 === void 0 ? void 0 : _data$map3.flat(1);

        var _iterator3 = _createForOfIteratorHelper(firstOutput),
            _step3;

        try {
          for (_iterator3.s(); !(_step3 = _iterator3.n()).done;) {
            i = _step3.value;

            if (i.type === "checkbox") {
              readOnly = i.value === true ? true : false;
            } else if (i.type === "dropdown") {
              title = i.value;
            }
          }
        } catch (err) {
          _iterator3.e(err);
        } finally {
          _iterator3.f();
        }
      }
    });
    var valueExist = editable_arr === null || editable_arr === void 0 ? void 0 : (_editable_arr$find = editable_arr.find(function (item) {
      return title.includes(item.title) && item.content;
    })) === null || _editable_arr$find === void 0 ? void 0 : _editable_arr$find.content;
    return {
      readOnly: readOnly,
      title: title,
      valueExist: valueExist
    };
  } catch (err) {
    console.log(err);
  }
};
export var handle_symbol_find_replace = function handle_symbol_find_replace() {
  var user_rule_arr = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var original_string = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
  var symbol = arguments.length > 2 ? arguments[2] : undefined;
  var new_string = "";

  var _loop = function _loop(_i) {
    var total_string = "";

    if (original_string[_i] === symbol) {
      for (var j = _i; j < original_string.length + 1; j++) {
        if (original_string[j] !== symbol) {
          _i = j - 1;
          break;
        }

        if (original_string[j] === symbol) {
          total_string += original_string[j];
        }
      }

      if (user_rule_arr.find(function (val) {
        return val.search === total_string;
      })) {
        new_string += user_rule_arr.find(function (val) {
          return val.search === total_string;
        }).replace;
      } else {
        new_string += total_string;
      }
    } else {
      new_string += original_string[_i];
    }

    i = _i;
  };

  for (var i = 0; i < original_string.length; i++) {
    _loop(i);
  }

  return new_string;
};
export var ShowCount = function ShowCount(_ref5) {
  var _ref5$rules_arr = _ref5.rules_arr,
      rules_arr = _ref5$rules_arr === void 0 ? [] : _ref5$rules_arr;

  try {
    var _opt;

    var opt = [];
    rules_arr === null || rules_arr === void 0 ? void 0 : rules_arr.map(function (item) {
      var _item$json4, _item$json4$required_;

      var data = item === null || item === void 0 ? void 0 : (_item$json4 = item.json) === null || _item$json4 === void 0 ? void 0 : (_item$json4$required_ = _item$json4.required_fields) === null || _item$json4$required_ === void 0 ? void 0 : _item$json4$required_.filter(function (req) {
        return req.value === "length_range";
      });

      if ((data === null || data === void 0 ? void 0 : data.length) > 0) {
        var firstOutput = data === null || data === void 0 ? void 0 : data.map(function (dd) {
          return dd === null || dd === void 0 ? void 0 : dd.value;
        });
        opt = firstOutput;
      }
    });
    return (_opt = opt) !== null && _opt !== void 0 && _opt.includes("length_range") ? true : false;
  } catch (err) {
    console.log(err);
  }
};
export var validate_data = function validate_data(_ref6) {
  var rules_arr = _ref6.rules_arr;

  try {
    var _opt2;

    var opt = [];
    rules_arr === null || rules_arr === void 0 ? void 0 : rules_arr.map(function (item) {
      var _item$json5, _item$json5$required_;

      var data = item === null || item === void 0 ? void 0 : (_item$json5 = item.json) === null || _item$json5 === void 0 ? void 0 : (_item$json5$required_ = _item$json5.required_fields) === null || _item$json5$required_ === void 0 ? void 0 : _item$json5$required_.filter(function (req) {
        return req.value === "validate_data";
      });

      if ((data === null || data === void 0 ? void 0 : data.length) > 0) {
        var firstOutput = data === null || data === void 0 ? void 0 : data.map(function (dd) {
          return dd === null || dd === void 0 ? void 0 : dd.value;
        });
        opt = firstOutput;
      }
    });
    return (_opt2 = opt) !== null && _opt2 !== void 0 && _opt2.includes("validate_data") ? true : false;
  } catch (err) {
    console.log(err);
  }
};
export var fielderror = function fielderror() {
  var rules = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var value = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
  var editable_arr = arguments.length > 2 ? arguments[2] : undefined;
  var layouttype = arguments.length > 3 ? arguments[3] : undefined;
  var submit = arguments.length > 4 ? arguments[4] : undefined;
  var title = arguments.length > 5 ? arguments[5] : undefined;
  var text = "";
  var messageShow = "";

  for (var _i2 = 0; _i2 < rules.length; _i2++) {
    var _r$json, _r$json$rule_data, _r$json7;

    var r = rules[_i2];

    if (r !== null && r !== void 0 && (_r$json = r.json) !== null && _r$json !== void 0 && (_r$json$rule_data = _r$json.rule_data) !== null && _r$json$rule_data !== void 0 && _r$json$rule_data.regex) {
      var _r$json2, _r$json2$rule_data;

      var pattern = stringToRegex("".concat(r === null || r === void 0 ? void 0 : (_r$json2 = r.json) === null || _r$json2 === void 0 ? void 0 : (_r$json2$rule_data = _r$json2.rule_data) === null || _r$json2$rule_data === void 0 ? void 0 : _r$json2$rule_data.regex));

      if (value) {
        if (r.rule_id === 5) {
          var _String3;

          if ((_String3 = String(value)) !== null && _String3 !== void 0 && _String3.match(pattern)) {
            var _r$json3, _r$json3$rule_data, _r$json4, _r$json4$rule_data;

            text = submit ? _defineProperty({}, title, true) : errorSpan(r === null || r === void 0 ? void 0 : (_r$json3 = r.json) === null || _r$json3 === void 0 ? void 0 : (_r$json3$rule_data = _r$json3.rule_data) === null || _r$json3$rule_data === void 0 ? void 0 : _r$json3$rule_data.validation_message);
            messageShow = r === null || r === void 0 ? void 0 : (_r$json4 = r.json) === null || _r$json4 === void 0 ? void 0 : (_r$json4$rule_data = _r$json4.rule_data) === null || _r$json4$rule_data === void 0 ? void 0 : _r$json4$rule_data.validation_message;
            break;
          }
        } else {
          if (!(pattern !== null && pattern !== void 0 && pattern.test(String(value)))) {
            var _r$json5, _r$json5$rule_data, _r$json6, _r$json6$rule_data;

            text = submit ? _defineProperty({}, title, true) : errorSpan(r === null || r === void 0 ? void 0 : (_r$json5 = r.json) === null || _r$json5 === void 0 ? void 0 : (_r$json5$rule_data = _r$json5.rule_data) === null || _r$json5$rule_data === void 0 ? void 0 : _r$json5$rule_data.validation_message);
            messageShow = r === null || r === void 0 ? void 0 : (_r$json6 = r.json) === null || _r$json6 === void 0 ? void 0 : (_r$json6$rule_data = _r$json6.rule_data) === null || _r$json6$rule_data === void 0 ? void 0 : _r$json6$rule_data.validation_message;
            break;
          }
        }
      }
    }

    if (r !== null && r !== void 0 && (_r$json7 = r.json) !== null && _r$json7 !== void 0 && _r$json7.required_fields) {
      for (var j = 0; j < (r === null || r === void 0 ? void 0 : (_r$json8 = r.json) === null || _r$json8 === void 0 ? void 0 : _r$json8.required_fields.length); j++) {
        var _r$json8, _r$json9, _r$json9$required_fie, _r$json9$required_fie2, _r$json10, _r$json10$required_fi, _r$json10$required_fi2;

        var type = r === null || r === void 0 ? void 0 : (_r$json9 = r.json) === null || _r$json9 === void 0 ? void 0 : (_r$json9$required_fie = _r$json9.required_fields) === null || _r$json9$required_fie === void 0 ? void 0 : (_r$json9$required_fie2 = _r$json9$required_fie[j]) === null || _r$json9$required_fie2 === void 0 ? void 0 : _r$json9$required_fie2.value;
        var child = (r === null || r === void 0 ? void 0 : (_r$json10 = r.json) === null || _r$json10 === void 0 ? void 0 : (_r$json10$required_fi = _r$json10.required_fields) === null || _r$json10$required_fi === void 0 ? void 0 : (_r$json10$required_fi2 = _r$json10$required_fi[j]) === null || _r$json10$required_fi2 === void 0 ? void 0 : _r$json10$required_fi2.child) || [];

        if (type === "greater_than_a_number" || type === "greater_than_a_field") {
          var no = type === "greater_than_a_field" ? getValueArr(child, editable_arr, layouttype, submit) : child[0].value ? {
            value: parseFloat(child === null || child === void 0 ? void 0 : child[0].value),
            title: ""
          } : {
            value: 0,
            title: ""
          };
          var message = type === "greater_than_a_field" ? no === null || no === void 0 ? void 0 : no["title"] : no === null || no === void 0 ? void 0 : no["value"];

          if (value) {
            if (parseFloat(value) <= parseFloat(no === null || no === void 0 ? void 0 : no["value"])) {
              text = submit ? _defineProperty({}, title, true) : errorSpan("Value should be greater than ".concat(message));
              messageShow = "Value should be greater than ".concat(message);
              break;
            } else {
              if (isNaN(parseFloat(value))) {
                text = submit ? _defineProperty({}, title, true) : errorSpan("Value should be greater than ".concat(message));
                messageShow = "Value should be greater than ".concat(message);
                break;
              }
            }
          }
        } else if (type === "less_than_a_number" || type === "less_than_a_field") {
          var _no = type === "less_than_a_field" ? getValueArr(child, editable_arr, layouttype, submit) : child !== null && child !== void 0 && child[0].value ? {
            value: parseFloat(child === null || child === void 0 ? void 0 : child[0].value),
            title: ""
          } : {
            value: 0,
            title: ""
          };

          var _message = type === "less_than_a_field" ? _no === null || _no === void 0 ? void 0 : _no["title"] : _no === null || _no === void 0 ? void 0 : _no["value"];

          if (value) {
            if (parseFloat(value) >= parseFloat(_no === null || _no === void 0 ? void 0 : _no["value"])) {
              text = submit ? _defineProperty({}, title, true) : errorSpan("Value should be lesser than ".concat(_message));
              messageShow = "Value should be lesser than ".concat(_message);
              break;
            } else {
              if (isNaN(parseFloat(value))) {
                text = submit ? _defineProperty({}, title, true) : errorSpan("Value should be lesser than ".concat(_message));
                messageShow = "Value should be lesser than ".concat(_message);
                break;
              }
            }
          }
        } else if (type === "equal_to_a_number" || type === "equal_to_a_field") {
          if (type === "equal_to_a_field") {
            var _no2 = getValueArr(child, editable_arr, layouttype, submit, type);

            if (value) {
              if (String(value) !== String(_no2 === null || _no2 === void 0 ? void 0 : _no2[0])) {
                text = submit ? _no2 === true ? false : _defineProperty({}, title, true) : _no2 === true ? "" : errorSpan("Value should be equal to ".concat(_no2 === null || _no2 === void 0 ? void 0 : _no2[1]));
                messageShow = "Value should be equal to ".concat(_no2 === null || _no2 === void 0 ? void 0 : _no2[1]);
                break;
              }
            }
          } else {
            var _no3 = parseFloat(child[0].value);

            if (value) {
              if (parseFloat(value) !== parseFloat(_no3)) {
                text = submit ? _no3 === true ? false : _defineProperty({}, title, true) : _no3 === true ? "" : errorSpan("Value should be equal to ".concat(_no3));
                messageShow = "Value should be equal to ".concat(_no3, "}");
                break;
              } else {
                if (isNaN(parseFloat(value))) {
                  text = submit ? _defineProperty({}, title, true) : errorSpan("Value should be equal to ".concat(_no3));
                  messageShow = "Value should be equal to ".concat(_no3, "}");
                  break;
                }
              }
            }
          }
        } else if (type === "length_range") {
          var _child$map;

          var childRange = (_child$map = child.map(function (_ref16) {
            var value = _ref16.value;
            return value;
          })) === null || _child$map === void 0 ? void 0 : _child$map.toString();
          var RegexLength = childRange === null || childRange === void 0 ? void 0 : childRange.split(",");

          if (value && RegexLength !== null && RegexLength !== void 0 && RegexLength[0] && RegexLength !== null && RegexLength !== void 0 && RegexLength[1]) {
            var _String4, _String5;

            if (((_String4 = String(value)) === null || _String4 === void 0 ? void 0 : _String4.length) >= parseInt(RegexLength === null || RegexLength === void 0 ? void 0 : RegexLength[0]) && ((_String5 = String(value)) === null || _String5 === void 0 ? void 0 : _String5.length) <= parseInt(RegexLength === null || RegexLength === void 0 ? void 0 : RegexLength[1])) {//
            } else {
              text = submit ? _defineProperty({}, title, true) : errorSpan("Input value should be between  ".concat(childRange.replace(",", "-"), " characters"));
              messageShow = "Input value should be between  ".concat(childRange.replace(",", "-"), " characters}");
              break;
            }
          }
        } else if (type === "custom_validation_by_regex") {
          var regex = child[0].value ? child[0].value : "";

          if (regex) {
            var _pattern = stringToRegex(regex);

            if (value) {
              if (!(_pattern !== null && _pattern !== void 0 && _pattern.test(String(value)))) {
                text = submit ? _defineProperty({}, title, true) : errorSpan("Invalid value");
                messageShow = "Invalid value";
                break;
              }
            }
          }
        } else if (type === "round_off_till_a number") {
          var _no4 = child[0].value ? child[0].value : "";

          if (_no4 && value) {
            if (isNaN(round(value, parseInt(_no4)))) {
              text = submit ? _defineProperty({}, title, true) : errorSpan("Only numeric value is allow");
              messageShow = "Only numeric value is allow";
              break;
            } else {
              text = submit ? _defineProperty({}, title, messageShow.length ? true : String(round(value, parseInt(_no4))) !== String(value) ? true : false) : {
                keys: "roundoff",
                values: round(value, parseInt(_no4)),
                messageShow: String(round(value, parseInt(_no4))) !== String(value) ? "Please round of the value" : messageShow
              };
              break;
            }
          }
        } else if (type === "mandatory_if_a_field_is_filled") {
          var _no5 = type === "mandatory_if_a_field_is_filled" ? getValueArr(child, editable_arr, layouttype, submit, type) : child !== null && child !== void 0 && child[0].value ? parseFloat(child[0].value) : 0;

          if (value === "" || value === null || value === undefined) {
            if (!_no5) {
              var _ref21;

              text = submit ? (_ref21 = {}, _defineProperty(_ref21, title, true), _defineProperty(_ref21, "mandatory", ""), _ref21) : errorSpan("Please fill mandatory fields");
              messageShow = "Please fill mandatory fields";
              break;
            } else {
              var _ref22;

              text = submit ? (_ref22 = {}, _defineProperty(_ref22, title, false), _defineProperty(_ref22, "mandatory", false), _ref22) : errorSpan();
              break;
            }
          }
        } else if (type === "non_mandatory_if_a_field_is_filled") {
          var _no6 = type === "non_mandatory_if_a_field_is_filled" ? getValueArr(child, editable_arr, layouttype, submit, type) : child !== null && child !== void 0 && child[0].value ? parseFloat(child[0].value) : 0;

          if (!value) {
            text = submit ? _objectSpread({}, _no6, {
              parent: value
            }) : false;
            break;
          }
        } else if (type === "concat") {
          var _concatString$flat;

          var concatString = child === null || child === void 0 ? void 0 : child.map(function (item) {
            return editable_arr === null || editable_arr === void 0 ? void 0 : editable_arr.map(function (editable) {
              var _item$value;

              return (item === null || item === void 0 ? void 0 : (_item$value = item.value) === null || _item$value === void 0 ? void 0 : _item$value.includes(editable.title)) && (editable === null || editable === void 0 ? void 0 : editable.content);
            }).filter(Boolean);
          });
          var comaprestring = (_concatString$flat = concatString.flat()) === null || _concatString$flat === void 0 ? void 0 : _concatString$flat.join(" ");
          var result = comaprestring.localeCompare(value);
          text = submit ? _defineProperty({}, title, messageShow.length ? true : result ? true : false) : {
            keys: "concat",
            values: comaprestring,
            messageShow: result ? "Please concat this field" : messageShow
          };
          break;
        } else if (type === "compare") {
          try {
            var _concatString = child === null || child === void 0 ? void 0 : child.map(function (item) {
              return editable_arr === null || editable_arr === void 0 ? void 0 : editable_arr.map(function (editable) {
                var _item$value2;

                return (item === null || item === void 0 ? void 0 : (_item$value2 = item.value) === null || _item$value2 === void 0 ? void 0 : _item$value2.includes(editable.title)) && (editable === null || editable === void 0 ? void 0 : editable.content);
              }).filter(Boolean);
            });

            if (value) {
              var _concatString$flat2;

              var _comaprestring = (_concatString$flat2 = _concatString.flat()) === null || _concatString$flat2 === void 0 ? void 0 : _concatString$flat2.join(" ");

              var _result = _comaprestring.localeCompare(value);

              if (_result) {
                text = submit ? _defineProperty({}, title, true) : errorSpan("Please update value to ".concat(_comaprestring));
                messageShow = "Please update value to ".concat(_comaprestring);
                break;
              }
            }
          } catch (err) {//
          }
        } else if (type === "contains") {
          try {
            var contains_rule_arr = (child === null || child === void 0 ? void 0 : child.map(function (item) {
              return editable_arr === null || editable_arr === void 0 ? void 0 : editable_arr.reduce(function (acc, editable) {
                var _item$value3, _editable$content;

                if (item !== null && item !== void 0 && (_item$value3 = item.value) !== null && _item$value3 !== void 0 && _item$value3.includes(editable.title) && editable !== null && editable !== void 0 && (_editable$content = editable.content) !== null && _editable$content !== void 0 && _editable$content.trim()) {
                  var _editable$content2;

                  acc[editable === null || editable === void 0 ? void 0 : (_editable$content2 = editable.content) === null || _editable$content2 === void 0 ? void 0 : _editable$content2.trim()] = editable.title; // acc[editable.title] = editable?.content?.trim();
                }

                return acc;
              }, {});
            })) || []; // let contain_arr = child?.map((item) => editable_arr?.map((editable) => item?.value?.includes(editable.title) && editable?.content?.trim()).filter(Boolean));

            if (value) {
              var _ret = function () {
                var _contains_rule_arr$fl;

                var final_obj = (_contains_rule_arr$fl = contains_rule_arr.flat().filter(Boolean)) === null || _contains_rule_arr$fl === void 0 ? void 0 : _contains_rule_arr$fl[0];
                var final_contain_arr = Object.keys(final_obj || {});
                var missing_word = [];
                var data = final_contain_arr.map(function (item) {
                  var _String6;

                  var arr_item = item === null || item === void 0 ? void 0 : item.toLowerCase();
                  var main_string = (_String6 = String(value)) === null || _String6 === void 0 ? void 0 : _String6.toLowerCase().replace(/[()]/g, "");
                  var pattern = new RegExp("(^|\\W)" + arr_item + "($|\\W)");
                  var condition = main_string.match(pattern);

                  if (condition) {
                    var matching_word = condition[0].trim();
                    var index_number = condition.index === 0 ? 0 : condition.index + 1;
                    var subString = main_string.substring(index_number, index_number + item.length);

                    if (matching_word === subString) {
                      return item;
                    } else {
                      missing_word.push("".concat(final_obj[item], " '").concat(item, "'"));
                      return -1;
                    }
                  } else {
                    missing_word.push(" ".concat(final_obj[item], " '").concat(item, "'"));
                    return -1;
                  }
                }) || [];

                if (data.includes(-1) && missing_word !== null && missing_word !== void 0 && missing_word.length) {
                  text = submit ? _defineProperty({}, title, true) : errorSpan("".concat(missing_word, " not available"));
                  messageShow = "".concat(missing_word, " not available");
                  return "break";
                }
              }();

              if (_ret === "break") break;
            }
          } catch (err) {//
          } //

        } else if (type === "restrict_special_characters") {
          if (value) {
            try {
              var format = stringToRegex("[".concat(child[0].value, "]"));

              if (format.test(value)) {
                text = submit ? _defineProperty({}, title, true) : errorSpan("Enter Characters to be Restricted");
                messageShow = "Enter Characters to be Restricted";
              }
            } catch (err) {
              console.log("resricted validation break");
            }
          } else {//
          }
        } else if (type === "start_end_string") {
          var _r$json11, _r$json11$required_fi, _r$json11$required_fi2, _r$json11$required_fi3;

          var checkStart = true;
          var validatingValue = r === null || r === void 0 ? void 0 : (_r$json11 = r.json) === null || _r$json11 === void 0 ? void 0 : (_r$json11$required_fi = _r$json11.required_fields[0]) === null || _r$json11$required_fi === void 0 ? void 0 : (_r$json11$required_fi2 = _r$json11$required_fi.child) === null || _r$json11$required_fi2 === void 0 ? void 0 : (_r$json11$required_fi3 = _r$json11$required_fi2[1]) === null || _r$json11$required_fi3 === void 0 ? void 0 : _r$json11$required_fi3.value;

          if (value) {
            try {
              var _r$json12, _r$json12$required_fi, _r$json12$required_fi2, _r$json12$required_fi3, _r$json12$required_fi4, _r$json13, _r$json13$required_fi, _r$json13$required_fi2, _r$json13$required_fi3, _r$json13$required_fi4;

              if ((r === null || r === void 0 ? void 0 : (_r$json12 = r.json) === null || _r$json12 === void 0 ? void 0 : (_r$json12$required_fi = _r$json12.required_fields[0]) === null || _r$json12$required_fi === void 0 ? void 0 : (_r$json12$required_fi2 = _r$json12$required_fi.child) === null || _r$json12$required_fi2 === void 0 ? void 0 : (_r$json12$required_fi3 = _r$json12$required_fi2[0]) === null || _r$json12$required_fi3 === void 0 ? void 0 : (_r$json12$required_fi4 = _r$json12$required_fi3.value) === null || _r$json12$required_fi4 === void 0 ? void 0 : _r$json12$required_fi4[0]) === "start") {
                checkStart = value.startsWith(validatingValue);

                if (!checkStart) {
                  text = submit ? _defineProperty({}, title, true) : errorSpan("Text should start with ".concat(validatingValue));
                  messageShow = "Text should start with ".concat(validatingValue);
                }
              } else if ((r === null || r === void 0 ? void 0 : (_r$json13 = r.json) === null || _r$json13 === void 0 ? void 0 : (_r$json13$required_fi = _r$json13.required_fields[0]) === null || _r$json13$required_fi === void 0 ? void 0 : (_r$json13$required_fi2 = _r$json13$required_fi.child) === null || _r$json13$required_fi2 === void 0 ? void 0 : (_r$json13$required_fi3 = _r$json13$required_fi2[0]) === null || _r$json13$required_fi3 === void 0 ? void 0 : (_r$json13$required_fi4 = _r$json13$required_fi3.value) === null || _r$json13$required_fi4 === void 0 ? void 0 : _r$json13$required_fi4[0]) === "end") {
                checkStart = value.endsWith(validatingValue);

                if (!checkStart) {
                  text = submit ? _defineProperty({}, title, true) : errorSpan("Text should ends with ".concat(validatingValue));
                  messageShow = "Text should ends with ".concat(validatingValue);
                }
              }
            } catch (err) {
              console.log("Start and ends strings are not matching");
            }
          } else {//
          }
        } else if (type === "lesser_greater_than_a_field_value_specific") {
          var _ret2 = function () {
            var _r$json14, _r$json14$required_fi, _compared_arr$find, _compared_arr$find2, _compared_arr$find3, _editable_arr$find2;

            var compared_arr = (r === null || r === void 0 ? void 0 : (_r$json14 = r.json) === null || _r$json14 === void 0 ? void 0 : (_r$json14$required_fi = _r$json14.required_fields[0]) === null || _r$json14$required_fi === void 0 ? void 0 : _r$json14$required_fi.child) || [];
            var findCompareFiled = (compared_arr === null || compared_arr === void 0 ? void 0 : (_compared_arr$find = compared_arr.find(function (item) {
              return item.label === "Select A Field to be compared with";
            })) === null || _compared_arr$find === void 0 ? void 0 : _compared_arr$find.value) || [];
            var compare_field_shouldbe = (compared_arr === null || compared_arr === void 0 ? void 0 : compared_arr.find(function (item) {
              return item.label === "Compared field should be";
            })) || {};
            var selected_value = (compared_arr === null || compared_arr === void 0 ? void 0 : (_compared_arr$find2 = compared_arr.find(function (item) {
              return item.label === "Value for the selected field should be";
            })) === null || _compared_arr$find2 === void 0 ? void 0 : _compared_arr$find2.value) || "";
            var find_field = (compared_arr === null || compared_arr === void 0 ? void 0 : compared_arr.find(function (item) {
              return item.label === "Final field should be";
            })) || [];
            var final_field_sholuld_be = (compared_arr === null || compared_arr === void 0 ? void 0 : (_compared_arr$find3 = compared_arr.find(function (item) {
              return item.label === "Value for the final field should be";
            })) === null || _compared_arr$find3 === void 0 ? void 0 : _compared_arr$find3.value) || "";
            var user_final_fields = editable_arr === null || editable_arr === void 0 ? void 0 : (_editable_arr$find2 = editable_arr.find(function (item) {
              return item.title === (findCompareFiled === null || findCompareFiled === void 0 ? void 0 : findCompareFiled[0]);
            })) === null || _editable_arr$find2 === void 0 ? void 0 : _editable_arr$find2.content; // text = submit ? { [title]: true } : errorSpan(` ${user_final_fields}`);

            if (isNumeric(user_final_fields) && isNumeric(value)) {
              try {
                if (eval(removeLeadingZeros(user_final_fields) + compare_field_shouldbe.value + removeLeadingZeros(selected_value))) {
                  if (!eval(removeLeadingZeros(value) + find_field.value + removeLeadingZeros(final_field_sholuld_be))) {
                    text = submit ? _defineProperty({}, title, true) : errorSpan("".concat(title, " ").concat(find_field.message, " ").concat(final_field_sholuld_be, " if the ").concat(findCompareFiled, " ").concat(compare_field_shouldbe.message, " ").concat(selected_value));
                    messageShow = "".concat(title, " ").concat(find_field.message, " ").concat(final_field_sholuld_be, " if the ").concat(findCompareFiled, " ").concat(compare_field_shouldbe.message, " ").concat(selected_value);
                    return "break";
                  }
                }
              } catch (err) {
                //
                console.log(err, "logical operator break");
              }
            }
          }();

          if (_ret2 === "break") break;
        }
      }
    }
  }

  return text;
};
export var getValueArr = function getValueArr(child, editable_arr, layouttype, submit, type) {
  var value = "";
  var text = "";

  if (layouttype === "excel") {
    child === null || child === void 0 ? void 0 : child.forEach(function (c) {
      try {
        var _c$value;

        typeof (c === null || c === void 0 ? void 0 : c.value) === "object" && (c === null || c === void 0 ? void 0 : (_c$value = c.value) === null || _c$value === void 0 ? void 0 : _c$value.forEach(function (v) {
          try {
            editable_arr === null || editable_arr === void 0 ? void 0 : editable_arr.forEach(function (e1) {
              if (type === "mandatory_if_a_field_is_filled") {
                if (e1.title === v) {
                  if (e1.content === null || e1.content === undefined || e1.content === "") {
                    text = submit ? true : true;
                  } else {
                    text = submit ? false : false;
                  }
                }
              } else if (type === "non_mandatory_if_a_field_is_filled") {
                if (e1.title === v) {
                  if (e1.content === null || e1.content === undefined || e1.content === "") {
                    text = submit ? {
                      title: e1.title,
                      content: e1.content
                    } : {
                      title: e1.title,
                      content: e1.content
                    };
                  } else {
                    text = submit ? {
                      title: e1.title,
                      content: e1.content
                    } : {
                      title: e1.title,
                      content: e1.content
                    };
                  }
                }
              } else {
                if (e1.title === v) {
                  if (type === "equal_to_a_field" && e1.content) {
                    value = [e1.content, v];
                  } else {
                    if (e1.content && isNaN(e1.content)) {
                      text = submit ? true : errorSpan("invalid data");
                    } else if (e1.content) {
                      value = {
                        value: value + parseFloat(e1.content),
                        title: v
                      };
                    } else if (value === "" || value === null || value == undefined) {
                      text = submit ? true : {
                        value: value,
                        title: v
                      };
                    }
                  }
                }
              }
            });
          } catch (err) {
            console.log(err);
          }
        }));
      } catch (err) {
        console.log(err);
      }
    });

    if (text === "") {
      return value;
    } else {
      return text;
    }
  } else if (layouttype === "group") {
    child === null || child === void 0 ? void 0 : child.forEach(function (c) {
      var _c$value2;

      c === null || c === void 0 ? void 0 : (_c$value2 = c.value) === null || _c$value2 === void 0 ? void 0 : _c$value2.forEach(function (v) {
        Object.keys(editable_arr).map(function (e) {
          editable_arr[e].forEach(function (e1) {
            if (type === "mandatory_if_a_field_is_filled") {
              if (e1.title === v) {
                if (e1.content === null || e1.content === undefined || e1.content === "") {
                  text = submit ? true : true;
                } else {
                  text = submit ? false : false;
                }
              }
            } else {
              if (e1.title === v) {
                if (e1.content && isNaN(e1.content)) {
                  text = submit ? true : errorSpan("invalid data");
                } else if (e1.content) {
                  value = value + parseFloat(e1.content);
                }
              }
            }
          });
        });
      });
    });

    if (text === "") {
      return value;
    } else {
      return text;
    }
  } else if (layouttype === "form") {
    child === null || child === void 0 ? void 0 : child.forEach(function (c) {
      try {
        var _c$value3;

        c === null || c === void 0 ? void 0 : (_c$value3 = c.value) === null || _c$value3 === void 0 ? void 0 : _c$value3.forEach(function (v) {
          try {
            editable_arr === null || editable_arr === void 0 ? void 0 : editable_arr.forEach(function (e1) {
              if (type === "mandatory_if_a_field_is_filled") {
                if (e1.title === v) {
                  if (e1.content === null || e1.content === undefined || e1.content === "") {
                    text = submit ? true : true;
                  } else {
                    text = submit ? false : false;
                  }
                }
              } else if (type === "non_mandatory_if_a_field_is_filled") {
                if (e1.title === v) {
                  if (e1.content === null || e1.content === undefined || e1.content == "") {
                    text = submit ? {
                      title: e1.title
                    } : {
                      title: e1.title
                    };
                  } else {
                    text = submit ? {
                      title: e1.title
                    } : {
                      title: e1.title
                    };
                  }
                }
              } else {
                if (e1.title === v) {
                  if (type === "equal_to_a_field" && e1.content) {
                    value = [e1.content, v];
                  } else {
                    if (e1.content && isNaN(e1.content)) {
                      text = submit ? true : errorSpan("invalid data");
                    } else if (e1.content) {
                      value = {
                        value: value + parseFloat(e1.content),
                        title: v
                      };
                    } else if (value === "" || value === null || value == undefined) {
                      text = submit ? true : {
                        value: value,
                        title: v
                      };
                    }
                  }
                }
              }
            });
          } catch (err) {
            console.log(err, "form");
          }
        });
      } catch (err) {
        console.log(err);
      }
    });

    if (text === "") {
      return value;
    } else {
      return text;
    }
  }
};