import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import { createTheme, styled, ThemeProvider } from "@mui/material/styles";
import { makeStyles } from "@mui/styles";
import classnames from "classnames";
import Workspace from "ns_workflow_workspace/Workspace";
import React, { useCallback, useRef, useState } from "react";
import { FullScreen, useFullScreenHandle } from "react-full-screen";
import { withHotKeys } from "react-hotkeys";
import useEventCallback from "use-event-callback";
import useKey from "use-key-hook";
import getActiveImage from "../Annotator/reducers/get-active-image";
import RightSideMenu from "../Components/RightSideMenu";
import ImageCanvas from "../ImageCanvas";
import KeyframeTimeline from "../KeyframeTimeline";
import SettingsDialog from "../SettingsDialog";
import { useSettings } from "../SettingsProvider";
import { useDispatchHotkeyHandlers } from "../ShortcutsManager";
import getHotkeyHelpText from "../utils/get-hotkey-help-text";
import iconDictionary from "./icon-dictionary";
import styles from "./styles";
import useImpliedVideoRegions from "./use-implied-video-regions"; // import Fullscreen from "../Fullscreen"

var emptyArr = [];
var theme = createTheme();
var useStyles = makeStyles(function (theme) {
  return styles;
});
var HotkeyDiv = withHotKeys(function (_ref) {
  var hotKeys = _ref.hotKeys,
      children = _ref.children,
      divRef = _ref.divRef,
      props = _objectWithoutProperties(_ref, ["hotKeys", "children", "divRef"]);

  return /*#__PURE__*/React.createElement("div", Object.assign({}, _objectSpread({}, hotKeys, props), {
    ref: divRef
  }), children);
});
var FullScreenContainer = styled("div")(function (_ref2) {
  var theme = _ref2.theme;
  return {
    width: "100%",
    height: "100%",
    "& .fullscreen": {
      width: "100%",
      height: "100%"
    }
  };
});
export var MainLayout = function MainLayout(_ref3) {
  var state = _ref3.state,
      dispatch = _ref3.dispatch,
      _ref3$alwaysShowNextB = _ref3.alwaysShowNextButton,
      alwaysShowNextButton = _ref3$alwaysShowNextB === void 0 ? false : _ref3$alwaysShowNextB,
      _ref3$alwaysShowPrevB = _ref3.alwaysShowPrevButton,
      alwaysShowPrevButton = _ref3$alwaysShowPrevB === void 0 ? false : _ref3$alwaysShowPrevB,
      RegionEditLabel = _ref3.RegionEditLabel,
      onRegionClassAdded = _ref3.onRegionClassAdded,
      hideHeader = _ref3.hideHeader,
      hideHeaderText = _ref3.hideHeaderText,
      _ref3$hideNext = _ref3.hideNext,
      hideNext = _ref3$hideNext === void 0 ? false : _ref3$hideNext,
      _ref3$hidePrev = _ref3.hidePrev,
      hidePrev = _ref3$hidePrev === void 0 ? false : _ref3$hidePrev,
      _ref3$hideClone = _ref3.hideClone,
      hideClone = _ref3$hideClone === void 0 ? false : _ref3$hideClone,
      _ref3$hideSettings = _ref3.hideSettings,
      hideSettings = _ref3$hideSettings === void 0 ? false : _ref3$hideSettings,
      _ref3$hideFullScreen = _ref3.hideFullScreen,
      hideFullScreen = _ref3$hideFullScreen === void 0 ? false : _ref3$hideFullScreen,
      _ref3$hideSave = _ref3.hideSave,
      hideSave = _ref3$hideSave === void 0 ? false : _ref3$hideSave,
      _ref3$issavenextDisab = _ref3.issavenextDisabled,
      issavenextDisabled = _ref3$issavenextDisab === void 0 ? false : _ref3$issavenextDisab,
      _ref3$isaddQueryDisab = _ref3.isaddQueryDisabled,
      isaddQueryDisabled = _ref3$isaddQueryDisab === void 0 ? false : _ref3$isaddQueryDisab,
      _ref3$isSubmitDisable = _ref3.isSubmitDisabled,
      isSubmitDisabled = _ref3$isSubmitDisable === void 0 ? false : _ref3$isSubmitDisable,
      _ref3$lazyBrush = _ref3.lazyBrush,
      lazyBrush = _ref3$lazyBrush === void 0 ? [] : _ref3$lazyBrush,
      lazyBrushClassification = _ref3.lazyBrushClassification,
      lazyBrushTags = _ref3.lazyBrushTags,
      xPosition = _ref3.xPosition,
      yPosition = _ref3.yPosition,
      lines = _ref3.lines,
      setLines = _ref3.setLines,
      invaild_show = _ref3.invaild_show,
      delete_annotation = _ref3.delete_annotation,
      setdelete_annotation = _ref3.setdelete_annotation,
      hideSaveNext = _ref3.hideSaveNext,
      hideQuery = _ref3.hideQuery,
      _ref3$showUpdate = _ref3.showUpdate,
      showUpdate = _ref3$showUpdate === void 0 ? false : _ref3$showUpdate,
      _ref3$rightMenu = _ref3.rightMenu,
      rightMenu = _ref3$rightMenu === void 0 ? true : _ref3$rightMenu,
      _ref3$isReadingMode = _ref3.isReadingMode,
      isReadingMode = _ref3$isReadingMode === void 0 ? false : _ref3$isReadingMode,
      isImageMode = _ref3.isImageMode,
      layoutORC = _ref3.layoutORC,
      onChangeLayoutORC = _ref3.onChangeLayoutORC,
      handleSubmit = _ref3.handleSubmit,
      tilte_key = _ref3.tilte_key,
      deleteAnnotationAllow = _ref3.deleteAnnotationAllow,
      action = _ref3.action,
      show = _ref3.show,
      setShow = _ref3.setShow;
  var classes = useStyles();
  var settings = useSettings();
  var fullScreenHandle = useFullScreenHandle();

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      openBrush = _useState2[0],
      setBrushOpen = _useState2[1];

  var _useState3 = useState(5),
      _useState4 = _slicedToArray(_useState3, 2),
      brushRadius = _useState4[0],
      setbrushRadius = _useState4[1];

  var _React$useState = React.useState("pen"),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      tool = _React$useState2[0],
      setTool = _React$useState2[1];

  var _useState5 = useState(false),
      _useState6 = _slicedToArray(_useState5, 2),
      isMuted = _useState6[0],
      setisMuted = _useState6[1];

  var _useState7 = useState(false),
      _useState8 = _slicedToArray(_useState7, 2),
      brushHighlight = _useState8[0],
      setbrushHighlight = _useState8[1];

  React.useEffect(function () {
    if (state.selectedTool === "create-a-brush") {
      setTool("pen");
    } else if (state.selectedTool === "eraser") {
      setTool("eraser");
    }
  }, [state.selectedTool]); // const memoizedActionFns = React.useRef({})
  // const action = (type: string, ...params: Array<string>) => {
  //   const fnKey = `${type}(${params.join(",")})`
  //   if (memoizedActionFns.current[fnKey])
  //     return memoizedActionFns.current[fnKey]
  //   const fn = (...args: any) =>
  //     params.length > 0
  //       ? dispatch(
  //           ({
  //             type,
  //             ...params.reduce((acc, p, i) => ((acc[p] = args[i]), acc), {}),
  //           }: any)
  //         )
  //       : dispatch({ type, ...args[0] })
  //   memoizedActionFns.current[fnKey] = fn
  //   return fn
  // }

  var _getActiveImage = getActiveImage(state),
      currentImageIndex = _getActiveImage.currentImageIndex,
      activeImage = _getActiveImage.activeImage;

  var nextImage;

  if (currentImageIndex !== null) {
    nextImage = state.images[currentImageIndex + 1];
  }

  useKey(function () {
    return dispatch({
      type: "CANCEL"
    });
  }, {
    detectKeys: [27]
  });
  var isAVideoFrame = activeImage && activeImage.frameTime !== undefined;
  var innerContainerRef = useRef();
  var hotkeyHandlers = useDispatchHotkeyHandlers({
    dispatch: dispatch
  });
  var impliedVideoRegions = useImpliedVideoRegions(state);
  var refocusOnMouseEvent = useCallback(function (e) {
    if (!innerContainerRef.current) return;
    if (innerContainerRef.current.contains(document.activeElement)) return;

    if (innerContainerRef.current.contains(e.target)) {
      innerContainerRef.current.focus();
      e.target.focus();
    }
  }, []);
  var canvas = /*#__PURE__*/React.createElement(ImageCanvas, Object.assign({}, settings, {
    showCrosshairs: settings.showCrosshairs && !["select", "pan", "zoom", "create-a-brush"].includes(state.selectedTool),
    isReadingMode: isReadingMode,
    key: state.selectedImage,
    showMask: state.showMask,
    fullImageSegmentationMode: state.fullImageSegmentationMode,
    autoSegmentationOptions: state.autoSegmentationOptions,
    showTags: state.showTags,
    allowedArea: state.allowedArea,
    modifyingAllowedArea: state.selectedTool === "modify-allowed-area",
    regionClsList: state.regionClsList,
    regionTagList: state.regionTagList,
    regions: state.annotationType === "image" ? activeImage.regions || [] : impliedVideoRegions || [],
    realSize: activeImage ? activeImage.realSize : undefined,
    videoPlaying: state.videoPlaying,
    imageSrc: state.annotationType === "image" ? activeImage.src : null,
    videoSrc: state.annotationType === "video" ? state.videoSrc : null,
    pointDistancePrecision: state.pointDistancePrecision,
    createWithPrimary: state.selectedTool.includes("create"),
    dragWithPrimary: state.selectedTool === "pan",
    zoomWithPrimary: state.selectedTool === "zoom" || state.selectedTool === "zoom_tool_minus",
    zoomWithSecondary: state.selectedTool === "zoom_tool_minus",
    showPointDistances: state.showPointDistances,
    videoTime: state.annotationType === "image" ? state.selectedImageFrameTime : state.currentVideoTime,
    keypointDefinitions: state.keypointDefinitions,
    onMouseMove: action("MOUSE_MOVE"),
    onMouseDown: action("MOUSE_DOWN"),
    onMouseUp: action("MOUSE_UP"),
    onChangeRegion: action("CHANGE_REGION", "region"),
    onBeginRegionEdit: action("OPEN_REGION_EDITOR", "region"),
    onCloseRegionEdit: action("CLOSE_REGION_EDITOR", "region"),
    onDeleteRegion: action("DELETE_REGION", "region"),
    onBeginBoxTransform: action("BEGIN_BOX_TRANSFORM", "box", "directions"),
    onBeginMovePolygonPoint: action("BEGIN_MOVE_POLYGON_POINT", "polygon", "pointIndex"),
    onBeginMoveKeypoint: action("BEGIN_MOVE_KEYPOINT", "region", "keypointId"),
    onAddPolygonPoint: action("ADD_POLYGON_POINT", "polygon", "point", "pointIndex"),
    onSelectRegion: action("SELECT_REGION", "region"),
    onBeginMovePoint: action("BEGIN_MOVE_POINT", "point"),
    onImageLoaded: action("IMAGE_LOADED", "image"),
    RegionEditLabel: RegionEditLabel,
    onImageOrVideoLoaded: action("IMAGE_OR_VIDEO_LOADED", "metadata"),
    onChangeVideoTime: action("CHANGE_VIDEO_TIME", "newTime"),
    onChangeVideoPlaying: action("CHANGE_VIDEO_PLAYING", "isPlaying"),
    onRegionClassAdded: onRegionClassAdded,
    allowComments: state.allowComments,
    selectedTool: state.selectedTool,
    lazyBrush: lazyBrush,
    lazyBrushClassification: lazyBrushClassification,
    lazyBrushTags: lazyBrushTags,
    yPosition: yPosition,
    xPosition: xPosition,
    brushRadius: brushRadius,
    tool: tool,
    lines: lines,
    setLines: setLines,
    invaild_show: invaild_show,
    setdelete_annotation: setdelete_annotation,
    delete_annotation: delete_annotation,
    annotationType: state.annotationType,
    isMuted: state.isMuted,
    selectedCls: state.selectedCls,
    setTool: setTool,
    setbrushRadius: setbrushRadius,
    setbrushHighlight: setbrushHighlight,
    isImageMode: isImageMode,
    show: show,
    setShow: setShow
  }));
  var onClickIconSidebarItem = useEventCallback(function (item) {
    dispatch({
      type: "SELECT_TOOL",
      selectedTool: item.name
    });
  });
  var onClickHeaderItem = useEventCallback(function (item) {
    if (item.name === "Fullscreen") {
      fullScreenHandle.enter();
    } else if (item.name === "Window") {
      fullScreenHandle.exit();
    } else if (item.name === "Brush Radius") {
      setBrushOpen(true);
    }

    dispatch({
      type: "HEADER_BUTTON_CLICKED",
      buttonName: item.name
    });
  });
  var debugModeOn = Boolean(window.localStorage.$ANNOTATE_DEBUG_MODE && state);
  var nextImageHasRegions = !nextImage || nextImage.regions && nextImage.regions.length > 0;

  var removeBrush = function removeBrush() {};

  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(FullScreenContainer, null, /*#__PURE__*/React.createElement(FullScreen, {
    handle: fullScreenHandle,
    onChange: function onChange(open) {
      if (!open) {
        fullScreenHandle.exit();
        action("HEADER_BUTTON_CLICKED", "buttonName")("Window");
      }
    }
  }, /*#__PURE__*/React.createElement(HotkeyDiv, {
    tabIndex: -1,
    divRef: innerContainerRef,
    onMouseDown: refocusOnMouseEvent,
    onMouseOver: refocusOnMouseEvent,
    allowChanges: true,
    handlers: hotkeyHandlers,
    className: classnames(classes.container, state.fullScreen && "Fullscreen")
  }, /*#__PURE__*/React.createElement(Workspace, {
    allowFullscreen: true,
    iconDictionary: iconDictionary,
    hideHeader: hideHeader,
    hideHeaderText: hideHeaderText,
    headerLeftSide: [state.annotationType === "video" ? /*#__PURE__*/React.createElement(KeyframeTimeline, {
      currentTime: state.currentVideoTime,
      duration: state.videoDuration,
      onChangeCurrentTime: action("CHANGE_VIDEO_TIME", "newTime"),
      keyframes: state.keyframes,
      brushLines: lines
    }) : activeImage ? /*#__PURE__*/React.createElement("div", {
      className: "".concat(classes.headerTitle, " image_annotation_title")
    }, activeImage.name) : null].filter(Boolean),
    headerItems: !isImageMode ? [!hidePrev && {
      name: "Prev",
      className: "prev",
      iconName: "Prev"
    }, !hideNext && {
      name: "Next",
      className: "next",
      iconName: "Next"
    }, state.annotationType !== "video" ? null : !state.videoPlaying ? {
      name: "Play",
      className: "play",
      iconName: "Play"
    } : {
      name: "Pause",
      className: "pause",
      iconName: "Pause"
    }, state.annotationType === "video" ? state.isMuted ? {
      name: "unmute",
      className: "isMuted",
      iconName: "unmute"
    } : {
      name: "mute",
      className: "isMuted",
      iconName: "mute"
    } : null, !hideClone && !nextImageHasRegions && activeImage.regions && {
      name: "Clone",
      className: "clone",
      iconName: "Clone"
    }, !hideSettings && {
      name: "Settings",
      className: "settings",
      iconName: "Settings"
    }, // state.selectedTool === "create-a-brush" && {
    //   name: "Brush Radius",
    //   className: "brushRadius",
    //   iconName: "brush radius",
    // },
    !hideQuery && {
      name: "Add Query",
      className: "query",
      iconName: "add query",
      disabled: isaddQueryDisabled
    }, !hideSaveNext && {
      name: "Save & next",
      className: "savenext",
      iconName: "save & next",
      disabled: issavenextDisabled
    }, !hideSave && {
      name: "Submit",
      className: "save",
      iconName: "submit",
      disabled: isSubmitDisabled
    }, showUpdate && {
      name: "Update",
      className: "save",
      iconName: "submit",
      disabled: isSubmitDisabled
    }, !hideFullScreen && (state.fullScreen ? {
      name: "Window",
      className: "window",
      iconName: "Window"
    } : {
      name: "Fullscreen",
      className: "Fullscreen",
      iconName: "Fullscreen"
    })].filter(Boolean) : [],
    onClickHeaderItem: onClickHeaderItem,
    onClickIconSidebarItem: onClickIconSidebarItem,
    selectedTools: [state.selectedTool, state.showTags && "show-tags", state.showMask && "show-mask"].filter(Boolean),
    selectToolsP: state.showTags ? ["show-tags", state.selectedTool] : [state.selectedTool],
    rightMenu: rightMenu,
    iconSidebarItems: [{
      name: "select",
      helperText: "Select" + getHotkeyHelpText("select_tool"),
      // alwaysShowing: true,
      className: "select"
    }, {
      name: "pan",
      helperText: "Drag/Pan (right or middle click)" + getHotkeyHelpText("pan_tool"),
      // alwaysShowing: true,
      className: "pan"
    }, {
      name: "zoom",
      helperText: "Zoom In" + getHotkeyHelpText("zoom_tool"),
      // alwaysShowing: true,
      className: "zoom"
    }, {
      name: "zoom_tool_minus",
      helperText: "Zoom Out" + getHotkeyHelpText("zoom_tool_minus"),
      // alwaysShowing: true,
      className: "zoom"
    }, {
      name: "show-tags",
      helperText: "Show / Hide Tags",
      alwaysShowing: true,
      className: "tags"
    }, {
      name: "create-point",
      helperText: "Add Point" + getHotkeyHelpText("create_point"),
      className: "create_point"
    }, {
      name: "create-box",
      helperText: "Add Bounding Box" + getHotkeyHelpText("create_bounding_box"),
      className: "create_box"
    }, {
      name: "create-polygon",
      helperText: "Add Polygon" + getHotkeyHelpText("create_polygon"),
      className: "create_polygon"
    }, {
      name: "create-line",
      helperText: "Add Line",
      className: "add_line"
    }, {
      name: "create-expanding-line",
      helperText: "Add Expanding Line",
      className: "create_expand"
    }, {
      name: "create-keypoints",
      helperText: "Add Keypoints (Pose)",
      className: "create_keypoint"
    }, state.fullImageSegmentationMode && {
      name: "show-mask",
      alwaysShowing: true,
      helperText: "Show / Hide Mask",
      className: "show_hids_mask"
    }, {
      name: "modify-allowed-area",
      helperText: "Modify Allowed Area",
      className: "modify_allow_area"
    }, {
      name: "create-a-brush",
      helperText: "Create By Paint Brush" + getHotkeyHelpText("create-a-brush"),
      // alwaysShowing: true,
      className: "create-a-brush"
    }, {
      name: "eraser",
      helperText: "Eraser" // alwaysShowing: true,

    }, {
      name: "undo_anntation",
      helperText: "undo annotation" // alwaysShowing: true,

    }, {
      name: "redo_anntation",
      helperText: "redo annotation" // alwaysShowing: true,

    }].filter(Boolean).filter(function (a) {
      return a.alwaysShowing || state.enabledTools.includes(a.name);
    }),
    rightSidebarItems: !isImageMode && /*#__PURE__*/React.createElement(RightSideMenu, {
      rightMenu: rightMenu,
      debugModeOn: debugModeOn,
      state: state,
      action: action,
      activeImage: activeImage,
      delete_annotation: delete_annotation,
      setdelete_annotation: setdelete_annotation,
      isImageMode: isImageMode,
      lines: lines,
      emptyArr: emptyArr,
      setLines: setLines,
      brushHighlight: brushHighlight
    })
  }, canvas), /*#__PURE__*/React.createElement(SettingsDialog, {
    open: state.settingsOpen,
    onClose: function onClose() {
      return dispatch({
        type: "HEADER_BUTTON_CLICKED",
        buttonName: "Settings"
      });
    }
  })))));
};
export default MainLayout;